SDL_GetRenderScale(3)

NAME
SDL_GetRenderScale - Get the drawing scale for the current target.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetRenderScale(SDL_Renderer *renderer, float *scaleX, float *scaleY);

DESCRIPTION
Each render target has its own scale. This function gets the scale for the current render target.

FUNCTION PARAMETERS

renderer
    the rendering context.

scaleX
    a pointer filled in with the horizontal scaling factor.

scaleY
    a pointer filled in with the vertical scaling factor.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetRenderScale(3)